# Find Place

```
GET 
/places
```

Query for geographical places across countries. Each query will return a list of place suggestions, which consists of a place name, descriptive name and id.

This API returns geographical information such as countries, capitals, administrative areas and more. It is ideal for correctly identifying a place along with any other details like geolocation.

## Implementing Place Autocomplete[​](#implementing-place-autocomplete "Direct link to Implementing Place Autocomplete")

Extracting the full information of a place is a 2 step process:

1. Retrieve place suggestions via /places
2. Retrieve the entire place with the ID provided in the suggestion

## Suggestion Format[​](#suggestion-format "Direct link to Suggestion Format")

Each place suggestion contains a descriptive name which you can provide to users to uniquely identify a place.

## Rate Limiting and Cost[​](#rate-limiting-and-cost "Direct link to Rate Limiting and Cost")

The rate limit for the Autocomplete API is 3000 requests per 5 minutes. HTTP Headers inform about the current rate limit.

Autocomplete API usage does not impact your balance, but resolving a suggestion to a full address requires a paid request. Autocomplete requests without subsequent paid requests may result in rate limitation or suspension.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200
* 400

Success

**Response Headers**

* **X-RateLimit-Limit**

  The maximum number of requests that can be made in 5 minutes

  **X-RateLimit-Remaining**

  The remaining requests within the current rate limit window

  **X-RateLimit-Reset**

  The time when the rate limit window resets in Unix Time (seconds) or UTC Epoch seconds.

Bad Request
